Overview
POST
/auth/capabilities/revokeauthRevoke a capability from a user (admin)
Create a record in revoke.
Auth: bearerAuth — calls run as the authenticated user.
Request body
application/json · optional
- userIdstring
- capabilitystring
Example
{
"userId": "string",
"capability": "string"
}Responses
204
revoked
No response body.
400
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}403
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X POST "https://api.agenticdeveloperhub.com/auth/capabilities/revoke" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"userId": "string",
"capability": "string"
}'JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/auth/capabilities/revoke", {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: "{\n \"userId\": \"string\",\n \"capability\": \"string\"\n}",
});
const data = await res.json();